---
title: USBDevice.configurations
slug: Web/API/USBDevice/configurations
tags:
  - API
  - Property
  - Reference
  - USB
  - USBDevice
  - WebUSB
  - WebUSB API
  - configurations
---
<p>{{SeeCompatTable}}{{APIRef("WebUSB API")}}</p>

<p>The <strong><code>configurations</code></strong> read only property of the {{domxref("USBDevice")}} interface an {{jsxref("array")}} of device-specific interfaces for controlling a paired USB device.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var USBConfiguration[] = USBDevice.configurations</pre>

<h3 id="Value">Value</h3>

<p>An {{jsxref("array")}} of {{domxref("USBConfiguration")}} objects.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web USB','#dom-usbdevice-configurations','configurations')}}</td>
   <td>{{Spec2('Web USB')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.USBDevice.configurations")}}</p>
